/*
 * Yoshifumi R. Shimizu
 *
 * ver.1.00, 1999.02.01-04
 *     Using only Xlib
 *
 * ver.1.01, 1999.02.06
 *     Using X Toolkit
 *
 * ver.1.02, 1999.02.09
 *     Using application resources and option tables
 *     Winbond W83781D supported.
 *     National Semiconductor LM78/79 supported (possibly).
 *
 * ver.1.03, 1999.02.20-23
 *     Adding temp3, and increasing resouces / option tables
 *     -DNO_TEMP3 compiling option for not showing temp3
 *
 * ver.1.04, 1999.05.04
 *     Slight improvement for getting resources
 *
 * ver.1.05, 1999.11.13
 *     Support SMBus access method.  Debugging infomation.
 *     Winbond W83781D, W83782D, W83783S supported.
 *     Asus AS99127F HWM chip supported.
 *
 * ver.1.06, 2001.08.22
 *     New SMBus access method without "intpm" driver!
 *     VIA VT82C686A/B's HWM chip supported.
 *
 * ver.1.07, 2002.01.16
 *     Patch for supporting detailed output for MRTG,
 *     provided by Koji MORITA (morita@cybird.co.jp).
 *     Showing temperture in Fahrenheit.
 *
 * ver.2.00, 2002.07.31
 *     Supported chips' codes are separated into modules.
 *     National Semiconductor LM80 moudule contributed
 *     by Shin-ichi Nagamura.
 *     National Semiconductor LM75 supported (possibly).
 *     SMBus access routines are also separated into modules.
 *     New SMBus access routines for AMD7xx and ALi7101.
 *
 *
 *  mbmon  --- command-line mother board monitor
 *
 * xmbmon  --- X mother board monitor
 *
 *
 * << Acknowledgements >>
 *
 * Information related to WinBond W83781D LM78/LM79 Chips by Alex van Kaam.
 *  http://mbm.livewiredev.com/
 *
 * Information on VT82C686A/B chips and many general things related to
 * both hardware monitor chips and SMBus access by ":p araffin(Yoneya)".
 *  http://homepage1.nifty.com/paraffin
 *
 * Information for SMBus access by Linux lm_sensor homepage.
 *  http://www.lm-sensors.nu/
 *
 */

#if !defined(__mbmon_h__)

#define XMBMON_VERSION "2.00"

#define DEFAULT_SEC 5

#define CHIPLIST "winbond|via686|it87|lm80|lm75"

/* Fahrenheit flag used in getTemp(), global */
int fahrn_flag = 0;

/* Debug flag used in InitMBInfo(), global */
int debug_flag = 0;

/* TyanTigerMP flag,  global */
int TyanTigerMP_flag = 0;

/* detected HWM or SMB ID number, global */
int pm_smb_detected = 0;

/* Probe request characters for detecting hardware monitor chip */
char *probe_request = "none";

/* functions */
int InitMBInfo(char);
int getTemp(float *, float *, float *);
int getVolt(float *, float *, float *, float *, float *, float *, float *);
int getFanSp(int *, int *, int *);


#if !defined(LINUX) && defined(HAVE_SMBUS) && defined(SMBUS_IOCTL)
/* SMBus device file name */
char smb_devbuf[] = "/dev/smb0";
char *smb_devfile = smb_devbuf;
#endif

#endif	/*__mbmon_h__*/
