#if !defined(__sensor_h__)
#define	__sensor_h__

#include "methods.h"

struct hwm_access {
	char	*Name;
	int		(*Probe)(LM_METHODS *pMethods);
	float	(*Temp)(LM_METHODS *pMethods, int no);
	float	(*Volt)(LM_METHODS *pMethods, int no);
	int		(*FanRPM)(LM_METHODS *pMethods, int no);
};

typedef struct hwm_access SENSOR;

extern SENSOR winbond;
extern SENSOR via686;
extern SENSOR it87;
extern SENSOR lm80;
extern SENSOR lm75;

/* should be larger than the number of "HWM_sensor_chip" */
#define SEARCH	2002

/*
 *	Supported HWM, ordering is important!!
 *	HWM_sensor_chip{} should be consistent with
 *	HWM_module[] and HWM_name[]
 */

enum HWM_sensor_chip {
	c_winbond,
	c_via686,
	c_it87,
	c_lm80,
	c_lm75
};

#ifdef INCLUDE_HWM_MODULE

/* Array of Supported HWM, ordering is important!! */
SENSOR *HWM_module[] = {
	&winbond,
	&via686,
	&it87,
	&lm80,
	&lm75,
	NULL };

/* HWM_name[] should have one-to-one correspondence to HWM_module[] */
char *HWM_name[] = {
	"winbond",
	"via686",
	"it87",
	"lm80",
	"lm75",
	NULL };

#endif	/* INCLUDE_HWM_MODULE */


/* functions commonly used in each HWM module */
extern int chkReg_Probe(char *comment, int Reg[], LM_METHODS *);
extern int strict_chkReg_Probe(int Reg[], LM_METHODS *method);
extern int scan_smbus(int addr_start, int addr_end, int result[]);
extern int find_smb_dev(void);
extern int set_smb_slave(int start, int end, int *slave);
extern int set_smb_Extemp(int start, int end, int *slavet1, int *slavet2);
extern void info_Extemp(LM_METHODS *, int, int);

#endif	/*!__sensor_h__*/
