/* setting SMBus IO routines for various chips */  

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "pci_pm.h"
#include "smbuses.h"

/* smbus io routines, global */
#if !defined(LINUX) && defined(HAVE_SMBUS) && defined(SMBUS_IOCTL)
#else			/* using own SMBus IO routines */
extern SMBUS_IO *smbus;
extern SMBUS_IO smbus_piix4;
extern SMBUS_IO smbus_amd;
extern SMBUS_IO smbus_ali;
#endif

int set_smbus_io(int *viahwm_base, int *smb_base)
{
	int n;

	n = pci_pm_smb_prob(viahwm_base, smb_base);
#if !defined(LINUX) && defined(HAVE_SMBUS) && defined(SMBUS_IOCTL)
	return n;
#else			/* using own SMBus IO routines */
	if (n <= 0)
		return n;

	if (n/10 == AMD756SMB/10)
		smbus = &smbus_amd;
	else if (n/10 == ALI7101SMB/10)
		smbus = &smbus_ali;
	else
		smbus = &smbus_piix4;

	return n;
#endif
}
